Page MenuHomePhabricator

[Debug] Convert DebugOnly from cl::opt with a custom type to cl::list [NFC]
AbandonedPublic

Authored by hintonda on Dec 7 2019, 12:42 PM.

Details

Summary

Convert DebugOnly from cl::opt with a custom type to cl::list
with a cl::callback. The callback is needed in order to set DebugFlag
whenever DebugOnly is passed.

Also, add list_storage specialization for ManagedStatic<vector<T>> to
support cl::location for managed statics.

Event Timeline

hintonda created this revision.Dec 7 2019, 12:42 PM
Herald added a project: Restricted Project. · View Herald TranscriptDec 7 2019, 12:42 PM
Herald added a subscriber: hiraditya. · View Herald Transcript
hintonda updated this revision to Diff 232719.Dec 7 2019, 1:03 PM
  • Remove unneeded cl::ValueRequired, since it is the default
hintonda retitled this revision from [Debug] Convert DebugOnly from cl::opt with a custom type to cl::list NFC to [Debug] Convert DebugOnly from cl::opt with a custom type to cl::list [NFC].Dec 12 2019, 2:58 PM

post holiday ping...

beanz accepted this revision.Jan 14 2020, 2:16 PM

Looks totally reasonable to me, and like a good simplification of the logic.

This revision is now accepted and ready to land.Jan 14 2020, 2:16 PM
hintonda abandoned this revision.Apr 23 2020, 11:33 AM